Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.io
Class CipherInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.bouncycastle.crypto.io.CipherInputStream

All Implemented Interfaces:
  Closeable

    public class CipherInputStream

extends FilterInputStream

Constructor Summary
`CipherInputStream(InputStream par1InputStream, BufferedBlockCipher par2BufferedBlockCipher)`

Method Summary
`int` | `available()`
`void` | `close()`
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] par1ArrayOfByte)`
`int` | `read(byte[] par1ArrayOfByte, int par2, int par3)`
`long` | `skip(long par1)`

Methods inherited from class java.io.FilterInputStream
`mark, reset`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CipherInputStream

    public CipherInputStream(InputStream par1InputStream,
                             BufferedBlockCipher par2BufferedBlockCipher)

Method Detail

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] par1ArrayOfByte)
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] par1ArrayOfByte,
                    int par2,
                    int par3)
             throws IOException

  Overrides:
    `read` in class `FilterInputStream`
  Throws:
    `IOException`

### skip

    public long skip(long par1)
              throws IOException

  Overrides:
    `skip` in class `FilterInputStream`
  Throws:
    `IOException`

### available

    public int available()
                  throws IOException

  Overrides:
    `available` in class `FilterInputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterInputStream`
  Throws:
    `IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `FilterInputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD